package net.pricefx.common.apibuilder.chart;

import net.pricefx.common.apibuilder.BacklinkBuilder;
import net.pricefx.common.apibuilder.ObjectIdentity;

public class Dictionary<C extends ObjectIdentity> extends BacklinkBuilder<C> {

	public Dictionary(final C backLink, final String instanceId, final String classId) {
		super(instanceId, classId, backLink);
	}

	public Dictionary<C> buildFromOpaqueString(final String opaqueStringDictDef) {
		addInvocation("buildFromOpaqueString",opaqueStringDictDef);
		return this;
	}

}